COL(1)

NAME
col - filter reverse line feeds and backspaces from input

SYNOPSIS
col [-bfhx] [-l num]

DESCRIPTION
col filters out reverse (and half-reverse) line feeds so that the output is in the correct order with only forward and half-forward line feeds, and replaces whitespace characters with tabs where possible.

col reads from the standard input and writes to the standard output.

The options are as follows:

-b  Do not output any backspaces, printing only the last character written to each column position. This can be useful in processing the output of mandoc(1).

-f  Forward half-line feeds are permitted (“fine” mode). Normally characters printed on a half-line boundary are printed on the following line.

-h  Compress spaces into tabs. This is the default behavior.

-l num
    Buffer at least num lines in memory. By default, 128 lines are buffered.

-x  Output multiple spaces instead of tabs.

The control sequences for carriage motion that col understands and their decimal ASCII values are listed in the following table:

escape-bell
    Reverse line feed (27 then 7).
escape-backspace
    Half reverse line feed (27 then 8).
escape-tab
    Half forward line feed (27 then 9).
backspace
    Moves back one column (8); ignored in the first column.
carriage return
    (13)
newline
    Forward line feed (10); also does carriage return.
shift in
    Shift to normal character set (15).
shift out
    Shift to alternate character set (14).
space
    Moves forward one column (32).
tab Moves forward to next tab stop (9).
vertical tab
    Reverse line feed (11).

All unrecognized control characters and escape sequences are discarded.

col keeps track of the character set as characters are read and makes sure the character set is correct when they are output.

If the input attempts to back up to the last flushed line, col will display a warning message.

SEE ALSO
expand(1)

HISTORY
A col command appeared in AT&T UNIX.